apt-cacher-ng(8)

NAME

apt-cacher-ng - caching proxy for software package downloads

SYNOPSIS

apt-cacher-ng [-c confdir] [-h] [optname=optvalue ...]

DESCRIPTION

Apt-Cacher NG is a caching proxy for software packages which are downloaded by Unix/Linux system distribution mechanisms from mirror servers accessible via HTTP.

OPTIONS

The command-line options supported by apt-cacher-ng are:

-c confdir
    Scan the specified configuration directory and interpret configuration files found there.

-h  Short option summary

-i  Ignore some non-critical configuration errors on startup. Regular operation with this switch is not recommended.

-v  Enable additional verbosity in log output.

-e  Invoke expiration task immediately after startup. This option exists for legacy compatibility and can be dangerous to use due to filesystem permission issues (i.e. danger to cause them). Using acngtool to control such operations instead is advisable.

varname=varopt
    The options from the configuration can be passed on the command line as key=value pairs.

CONFIGURATION

Apt-Cacher NG is configured by a multi-config directory, i.e. the configuration is split into many configuration files having names with suffix .conf and stored in a single directory. Variables can override previously configured settings from other files, sometimes those settings are merged (depending on the variable).

The configuration directory is typically /etc/apt-cacher-ng but it can be adjusted with the -c option (see systemd service file for details or wherever the init system starts the daemon).

On Debian systems, there are at least three files installed by default: acng.conf (containing documented examples), security.conf (containing sensible data and only readable for special users) and zz_debconf.conf (containing popular settings which are set by the Debian Configuration mechanism).

SIGNALS

Only few signals are handled in non-default ways.

SIGUSR1 closes and reopens log files.

SIGTERM and SIGINT close log files and stop the daemon.

MORE INFORMATION

For more information on Apt-Cacher NG, read the User Manual which can be found either in the doc/pdf directory of the software source package or installed in the documentation directory of apt-cacher-ng by your distribution.